/*
	DrSnuggles ℗©®™
	Revision MMXXV - The Sausages Strikes Back
*/

import {part as part0} from './parts/HorseInMotion.js'
import {part as part1} from './parts/TyperIntroLetItRain.js'
import {part as part2} from './parts/game.js'
import {part as part3} from './parts/TyperOuttroLetItRain.js'

const demo = {
	partNum: 0,
	exit: () => { close() },
	next: () => {
		console.log('next', demo.partNum)
		eval('part'+demo.partNum++)(demo)
	},

}

onkeydown = (ev) => { if (ev.key == 'Escape') close() }
demo.next()